This is for archy, and all other poor souls not running java enabled browsers.